org.eclipse.viatra.query.runtime.rete.recipes

## Interface EqualityFilterRecipe

- All Superinterfaces:
    AlphaRecipe, org.eclipse.emf.ecore.EObject, FilterRecipe, org.eclipse.emf.common.notify.Notifier, ReteNodeRecipe, SingleParentNodeRecipe
  All Known Implementing Classes:
    EqualityFilterRecipeImpl

      public interface EqualityFilterRecipe
      extends FilterRecipe

  A representation of the model object 'Equality Filter Recipe'.

  The following features are supported:

  - `Indices`
  See Also:
    `RecipesPackage.getEqualityFilterRecipe()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<java.lang.Integer>` | `getIndices()` Returns the value of the 'Indices' attribute list.

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.FilterRecipe

      `getArity`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getIndices

          org.eclipse.emf.common.util.EList<java.lang.Integer> getIndices()

      Returns the value of the 'Indices' attribute list. The list contents are of type `Integer`.

      If the meaning of the 'Indices' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Indices' attribute list.
      See Also:
        `RecipesPackage.getEqualityFilterRecipe_Indices()`
      Generated:
      Model:
        unique="false" dataType="org.eclipse.viatra.query.runtime.rete.recipes.Index"